/*
    GQ -- a GTK-based LDAP client
    Copyright (C) 1998-2001 Bert Vermeulen
    Copyright (C) 2002-2003 Peter Stamfest

    This program is released under the Gnu General Public License with
    the additional exemption that compiling, linking, and/or using
    OpenSSL is allowed.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* $Id: dt_password.h,v 1.9 2003/11/02 07:20:43 stamfest Exp $ */

#ifndef DT_PASSWORD_H_INCLUDED
#define DT_PASSWORD_H_INCLUDED

#include "config.h"

#ifdef HAVE_LIBCRYPTO
#include "dt_entry.h"

extern const struct tokenlist cryptmap[];

typedef dt_entry_handler dt_password_handler;
#define DT_PASSWORD(objpointer) ((dt_password_handler *)(objpointer))

display_type_handler *dt_password_get_handler();

/* Methods, only to be used by subclasses */
GtkWidget *dt_password_get_widget(int error_context,
				  struct formfill *form, GByteArray *data,
				  GtkSignalFunc *activatefunc,
				  gpointer funcdata);
GByteArray *dt_password_get_data(struct formfill *form, GtkWidget *widget);
void dt_password_set_data(struct formfill *form, GByteArray *data, 
			  GtkWidget *widget);

#endif /* HAVE_LIBCRYPTO */
#endif /* DT_PASSWORD_H_INCLUDED */

/* 
   Local Variables:
   c-basic-offset: 5
   End:
 */

